<?php

namespace FM\Service;

use FM\Factory\ParamAlertContPessoasFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class ParamAlertContPessoasService
{

    protected $ParamAlertContPessoasFactory;
    protected $Environment;
    protected $newCode;

    public function __construct(ParamAlertContPessoasFactory $ParamAlertContPessoasFactory, Environment $Environment, NewCode $newCode)
    {
        $this->ParamAlertContPessoasFactory = $ParamAlertContPessoasFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }

    public function insertParamAlert($params)
    {
        $nrorg = $this->Environment->getNrOrg();
        $params["NRPARAMALERTCONTPESSOAS"] = $this->newCode->getCodeByTableName('FCM_PARAMALERTCONTPESSOAS', $nrorg, 1, 10, true);
        $params["CDOPERULTATU"] = $this->Environment->getCdOperador();
        $this->ParamAlertContPessoasFactory->insertParamAlert($params);
    }
}
