import { Modal, ModalService } from '@zeedhi/common';

export class ModalQRCodeController {
  private qRCodeModal!: Modal;

  /* -------- Cria e abre o modal -------- */

  public async openQRCodeModal() {
    this.qRCodeModal = await ModalService.createFromJson('/modal/modalQRCode', true);
    this.qRCodeModal.show();
  }

  /* -------- Destrói e Fecha o Modal -------- */

  public closeQRCodeModal() {
    this.qRCodeModal.destroy();
    this.qRCodeModal.hide();
  }
}
